Skip to main content
curl -X GET 'https://product.api.e-cross.tech/ext/merchant/products/1234567' \
  -H 'Authorization: Bearer YOUR_TOKEN'
[
  {
    "merchantProductId": "ACME-1234567",
    "skuId": "1234567891",
    "name": "USB charger type C",
    "weight": 0.1,
    "ean": "0799439112767",
    "length": 19,
    "width": 4,
    "height": 4,
    "images": [
      "https://image-host/1234567/1.jpeg",
      "https://image-host/1234567/2.jpeg"
    ],
    "main": true,
    "globalSaleChannelData": {
      "size": "1 meter",
      "color": "silver",
      "active": true,
      "brand": "ChargerW",
      "category": "Telefones e Celulares/Acessórios/Carregadores",
      "attributes": [
        {
          "name": "Connection Type",
          "value": "USB-C"
        }
      ]
    },
    "description": "Beautiful and reliable super fast USB Type C charger.",
    "id": "ACME-1234567891",
    "productId": "1234567",
    "merchantId": "ACME",
    "salesChannelStatus": {
      "ECOM": {
        "statusDate": "2024-09-06T11:13:30.533Z",
        "statusMessage": "Integration successful",
        "status": "SALES_CHANNEL_APPROVED"
      }
    }
  }
]

Path Parameters

productId
string
required
The product identifier that groups all SKUs together.

Response Fields

The response contains the same structure as defined in the Upsert SKUs API.